https://bugs.gentoo.org/753788
https://github.com/fontforge/fontforge/commit/7837530190a3b666109ba4eb9b3b76f09799057c
----
From 7837530190a3b666109ba4eb9b3b76f09799057c Mon Sep 17 00:00:00 2001
From: Jeremy Tan <jtanx@outlook.com>
Date: Tue, 3 Nov 2020 21:27:26 +1100
Subject: [PATCH] Fix FreeType debugger compilation with FreeType >= 2.10.3

Fixes #4477
---
 fontforge/fffreetype.h  | 4 +++-
 fontforgeexe/cvdebug.c  | 4 +++-
 fontforgeexe/cvdgloss.c | 4 +++-
 3 files changed, 9 insertions(+), 3 deletions(-)

diff --git a/fontforge/fffreetype.h b/fontforge/fffreetype.h
index 7757b7bf3b..11070fc916 100644
--- a/fontforge/fffreetype.h
+++ b/fontforge/fffreetype.h
@@ -39,7 +39,9 @@
 #endif
 
 #if defined(FREETYPE_HAS_DEBUGGER)
-# include <internal/internal.h>
+#if FREETYPE_MAJOR == 2 && (FREETYPE_MINOR < 10 || (FREETYPE_MINOR == 10 && FREETYPE_PATCH < 3))
+#  include <internal/internal.h>
+# endif
 # include <ttdriver.h>
 # include <ttinterp.h>
 # include <ttobjs.h>
diff --git a/fontforgeexe/cvdebug.c b/fontforgeexe/cvdebug.c
index 9fb7db6112..a891902a06 100644
--- a/fontforgeexe/cvdebug.c
+++ b/fontforgeexe/cvdebug.c
@@ -59,7 +59,9 @@ void CVDebugPointPopup(CharView *cv) {
 #include <ft2build.h>
 #include FT_FREETYPE_H
 
-#include <internal/internal.h>
+#if FREETYPE_MAJOR == 2 && (FREETYPE_MINOR < 10 || (FREETYPE_MINOR == 10 && FREETYPE_PATCH < 3))
+# include <internal/internal.h>
+#endif
 #include <ttinterp.h>
 
 # define PPEMX(exc)	((exc)->size->root.metrics.x_ppem)
diff --git a/fontforgeexe/cvdgloss.c b/fontforgeexe/cvdgloss.c
index 33cc5c71e1..c1ad97790b 100644
--- a/fontforgeexe/cvdgloss.c
+++ b/fontforgeexe/cvdgloss.c
@@ -42,7 +42,9 @@ extern GBox _ggadget_Default_Box;
 #include <ft2build.h>
 #include FT_FREETYPE_H
 
-#include <internal/internal.h>
+#if FREETYPE_MAJOR == 2 && (FREETYPE_MINOR < 10 || (FREETYPE_MINOR == 10 && FREETYPE_PATCH < 3))
+# include <internal/internal.h>
+#endif
 #include <ttinterp.h>
 
 #define PPEMX(exc)	((exc)->size->root.metrics.x_ppem)
